Bug 106582 - Broken grub install impossible to fix using redhat upgrade procedure
Summary: Broken grub install impossible to fix using redhat upgrade procedure
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-08 16:10 UTC by Graham Leggett
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-14 21:23:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graham Leggett 2003-10-08 16:10:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
On a system with a broken grub installation:

- Run the Redhat 9 install disk, detect the existing redhat install, and select
"create new boot loader config" when prompted.

- Anaconda now tries to install packages.

- Anaconda then issues a warning saying "no kernels were installed, so boot
loader will not be updated".

If the user said "update the boot loader" , anaconda should update the boot loader.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:

Comment 1 Jeremy Katz 2003-10-14 21:23:41 UTC
We can't reliably do boot loader configuration updates without a kernel being
installed in some cases.  The right thing to do in this case is to boot into
rescue mode and run '/sbin/grub-install /dev/hda' (or wherever you had grub
installed)


Note You need to log in before you can comment on or make changes to this bug.